Devices

This set of API calls allows you to fetch and manipulate Keyless enabled devices.

Get user devices

get

Get user devices

Authorizations
X-Api-KeystringRequired

The customer service api key

Path parameters
userIdstring · Uppercase HEX stringRequired

The user id

Responses
chevron-right
200

User devices

application/json
userIdstring · HEXRequired

An HEX string representing the user id

Example: 0123456789ABCDEF
sdkCustomerIdnumberRequired

Customer unique identifier

publicSigningKeystringRequired

Device public signing key

publicEncryptionKeystringRequired

Device public encryption key

statestringRequired

Device state

Example: ACTIVE
infostringOptionalDeprecatedExample: Always set to '2'
createdAtstringRequiredExample: 2020-01-02T03:04:05.242194378
osVersionstringOptional

Device operation system version

sdkVersionstringOptional

Device's SDK version

deletedAtstringOptional

Deletion date time

Example: 2020-01-02T03:04:05.242194378
get
/users/{userId}/devices

Delete user device

delete

Delete user device

Authorizations
X-Api-KeystringRequired

The customer service api key

Path parameters
userIdstring · Uppercase HEX stringRequired

The user id

publicSigningKeystringRequired

Public signing key

Responses
chevron-right
200

Device successfully deleted

application/json

Positive feedback on the operation result

successbooleanRequired

Always true

delete
/users/{userId}/devices/{publicSigningKey}

Last updated

Was this helpful?